## SYNOPSIS

           autoheader [OPTION] ... [TEMPLATE-FILE]

## DESCRIPTION

           Create a template file of C `#define' statements for `con
           figure' to use.  To this end, scan TEMPLATE-FILE, or `con
           figure.ac' if present, or else `configure.in'.

           -h, --help
                  print this help, then exit

           -V, --version
                  print version number, then exit

           -v, --verbose
                  verbosely report processing

           -d, --debug
                  don't remove temporary files

           -f, --force
                  consider all files obsolete

           -W, --warnings=CATEGORY
                  report the warnings falling in CATEGORY

       Warning categories include:
           `obsolete'
                  obsolete constructs

           `all'  all the warnings

           `no-CATEGORY'
                  turn off the warnings on CATEGORY

           `none' turn off all the warnings

           `error'
                  warnings are error

       Library directories:
           -B, --prepend-include=DIR
                  prepend directory DIR to search path

           -I, --include=DIR
                  append directory DIR to search path

## AUTHOR

           Written by Roland McGrath and Akim Demaille.

           Copyright  2002  Free  Software  Foundation, Inc.  This is
           free software; see  the  source  for  copying  conditions.

                  info autoheader

           should give you access to the complete manual.

    autoheader 2.57           December 2002             AUTOHEADER(1)